- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# ffs.c File Reference

`#include <vfs/vfs.h>`
`#include <ufs/ufs.h>`
`#include <ufs/ffs.h>`
`#include <lib/kprintf.h>`
`#include <lib/kmalloc.h>`
`#include <ubixos/kpanic.h>`
`#include <lib/string.h>`
`#include <sys/buf.h>`

Include dependency graph for ffs.c:

Go to the source code of this file.

## Functions
int | ffs_read (fileDescriptor *fd, char *data, uInt32 offset, long size)

## Function Documentation

int ffs_read | ( | fileDescriptor * | fd,
|  | char * | data,
|  | uInt32 | offset,
|  | long | size |
| ) |  |  |

Definition at line 11 of file ffs.c.

References fileDescriptorStruct::dmadat, fs::fs_maxfilesize, kprintf(), and dmadat::sbbuf.

Here is the call graph for this function: